- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- IpamAdminScopeAvailability
- Availability
- Try it!
Checks the availability of IpamAdminScopes in a given project and location.
HTTP request
GET https://cloudnumberregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/ipamAdminScopes:checkAvailability
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource name, for example |
Query parameters
| Parameters | |
|---|---|
scopes[] |
Required. The administrative scopes to check for availability. |
Request body
The request body must be empty.
Response body
Response message for the CloudNumberRegistry.CheckAvailabilityIpamAdminScopes method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"scopeAvailabilities": [
{
object ( |
| Fields | |
|---|---|
scopeAvailabilities[] |
The details of the requested scopes. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
cloudnumberregistry.ipamAdminScopes.list
For more information, see the IAM documentation.
IpamAdminScopeAvailability
Availability details for a specific IpamAdminScope.
| JSON representation |
|---|
{
"scope": string,
"adminProject": string,
"availability": enum ( |
| Fields | |
|---|---|
scope |
The scope of the IpamAdminScope. |
adminProject |
The admin project of the IpamAdminScope if it exists. |
availability |
The availability of the scope. |
Availability
Enum for the availability of a given scope.
| Enums | |
|---|---|
AVAILABILITY_UNSPECIFIED |
Unspecified availability. |
AVAILABLE |
The scope is available. |
UNAVAILABLE |
The scope is not available. |